import mesa_reader as mr
import sys
import matplotlib.pyplot as plt

filename = sys.argv[1]
h = mr.MesaData(filename)

plt.figure(1)
plt.loglog(h.star_age, 10**h.log_L)
plt.xlabel("Age (yr)")
plt.ylabel("log10(L)")

plt.figure(2)
plt.loglog(h.star_age, 10**h.log_Teff)
plt.xlabel("Age (yr)")
plt.ylabel("log10(Teff)")

plt.figure(3)
plt.loglog(h.star_age, 10**h.log_R)
plt.xlabel("Age (yr)")
plt.ylabel("log10(R)")

plt.figure(4)
plt.loglog(h.star_age, 10**h.log_g)
plt.xlabel("Age (yr)")
plt.ylabel("log10(g)")

plt.show()
    
